Bug 620367 - Wrong position of text cursor when editing in a Calc cell
Summary: Wrong position of text cursor when editing in a Calc cell
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
high
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-02 10:47 UTC by Lubos Kocman
Modified: 2010-11-10 21:16 UTC (History)
2 users (show)

Fixed In Version: openoffice.org-3.2.1-19.6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:16:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 74188 None None None Never
OpenOffice.org 112788 None None None Never

Description Lubos Kocman 2010-08-02 10:47:28 UTC
Description of problem:

User is unable to set correct cursor position in "input line". 

This brings lots of unwanted actions during editing of any table.

Imagine string "Hello Jane. How are you?

E.g. you'll click in front of 'o' in 'How' but cursor will appear in front of 'H'

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create new document in oocalc
2. enter at least 10 characters long string into a cell
3. click to the another cell to make it inactive
4. select the cell with text by cursor
5. set cursor position before some character in the middle of the string by clicking mouse into the "input line" which placed above the sheet
6. repeat steps 3-6 few times 
  
Actual results:

Position defined by mouse does not match displayed cursor position in the input line

Expected results:

Cursor will be exactly on the place where user defined it

Comment 1 Caolan McNamara 2010-08-03 08:36:16 UTC
"Version-Release number of selected component (if applicable):"

please fill in what rpm this happens, i.e. the output of 
rpm -q openoffice.org-calc

>= openoffice.org-calc-3.2.1-19.4.el6.i686 contains the fix for issue 112788 which that is likely to be, so I don't know if you're using an older calc which doesn't have the fix, or if you have an additional bug.

Comment 2 David Tardon 2010-08-03 10:53:41 UTC
dtardon->caolanm: i see it in 3.2.1-19.5.el6 and 3.3.0-1.5.fc14.1 . It works fine if I build without workspace.tl80.patch .

Comment 3 Caolan McNamara 2010-08-03 11:09:14 UTC
rats, well time to drop that attempt at a fix, its clearly just not working. Lets roll it out and look to fix it properly upstream along hdu's suggestions

Comment 4 Caolan McNamara 2010-08-03 14:40:52 UTC
The patch which is causing this problem is the attempt to fix bug #226737 where the approach taken there no longer works correctly

Comment 6 Lubos Kocman 2010-08-05 14:17:21 UTC
Verified on openoffice.org-*-3.2.1-19.6.el6

Seems to be ok now.

Comment 7 releng-rhel@redhat.com 2010-11-10 21:16:50 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.